Subject: bug#2377 closed by David Reitter <[email-masked]> (Re: Color-theme related crash in Emacs 23 fixed in Aquamacs)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 14 Feb 2010 14:05:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#3620: 23.0.90; Cocoa Emacs crashes when loading zenburn color-theme

It has been closed by David Reitter <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact David Reitter <[email-masked]> by
replying to this email.

-- 
3620: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3620
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Color-theme related crash in Emacs 23 fixed in Aquamacs
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Sun, 14 Feb 2010 09:04:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Feb 14, 2010, at 2:05 AM, Väinö Järvelä wrote:

> Hi David,
> 
> Sorry that this took so long. I compiled commit 9a339f5 and it works
> fine. By reverting d926ad3, it crashes again, so yeah, Adrian fixed
> it.
> 
> -- 
> Väinö
> 
> 
> 
> On Sat, Jan 9, 2010 at 21:01, David Reitter <[email-masked]> wrote:
>> Hi  Väinö,
>> 
>>> I have pinpointed a crash in the newest Emacs from version control
>>> (git 6baef44). This crash has been reproduced on two of my computers.
>>> It was random previously, but now that I rewrote my Emacs environment
>>> and updated some packages it always crashes.
>> 
>> Could you please verify whether this bug has been fixed in the latest Emacs revisions?
>> 
>> I believe that, in the mean-time, Emacs saw a different commit (I think Adrian did this in response to the underlying color bug or a comment from me) that was supposed to address this.
>> 
>> Thanks
>> - David
>> 
>> 
>> 
>> Begin forwarded message:
>> 
>>> From: Chong Yidong <[email-masked]>
>>> Date: January 6, 2010 11:58:36 AM EST
>>> To: David Reitter <[email-masked]>
>>> Subject: Re: Color-theme related crash in Emacs 23 fixed in Aquamacs
>>> 
>>> Hi David,
>>> 
>>> 
>>>  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3620
>>> 
>>> Could you check if this patch has been applied to Emacs yet?  If no,
>>> please do so.
>> 
>> 

Subject: 23.0.90; Cocoa Emacs crashes when loading zenburn color-theme
From: Matt Moriarity <[email-masked]>
To: [email-masked]
Date: Wed, 18 Feb 2009 20:54:33 -0500

I'm using the emacs-starter-kit and trying to load the included
zenburn color-theme. When I execute M-x zenburn after loading emacs
normally, it crashes, saying Fatal error. If I start emacs with the
command "emacs -q -l ~/.emacs.d/init.el", then these same actions
successfully apply the color-theme. However, if I do "emacs -Q -l
~/.emacs.d/init.el", the crash occurs again.

In GNU Emacs 23.0.90.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-02-18 on 64-71-7-199.static.wiline.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  show-paren-mode: t
  recentf-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<backspace> <backspace> <backspace> <backspace> u n
d e r SPC ~ / . e m a c s . d <return> ? <return> <help-echo>
<down-mouse-1> <mouse-1> <help-echo> c o n <tab> w
e l l , SPC i ' m m <backspace> SPC <backspace> SPC
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
C-a C-k w h a t SPC i f SPC i ' m SPC u s i n g SPC
c o c o a SPC e m a c s SPC o r SPC s o m e t h i n
g , SPC C-a C-k o h <return> t h e r e SPC g o e s
SPC m y SPC q u e s t i o n <return> g g o <tab> C-a
C-k g g o <tab> w o a h . SPC i t SPC c a r <backspace>
<backspace> r a s h e s SPC w i t h SPC - Q SPC b u
t SPC n o t SPC w i t h SPC - q <return> g g o <tab>
s a y s SPC F a t a l SPC e r r o r <return> b t w
, SPC d o e s SPC i t SPC m a k e SPC a SPC d i f f
e r e n c e SPC i t <backspace> f SPC i t ' s SPC c
o c o a SPC e m a c s SPC ? SPC c u z SPC i t SPC i
s <return> f s m <tab> s t r a c i a SPC <backspace>
t e l l a ? <return> <S-left> M-x r e p <tab> o r <tab>
<return>

Recent messages:
Connecting to irc.freenode.net...done
Loading tramp...done
Quit
Loading /Users/matt/.emacs.d/loaddefs.el (source)...done
Updating autoloads...
Warning: defvar ignored because generated-autoload-file is let-bound
Saving file /Users/matt/.emacs.d/loaddefs.el...
Wrote /Users/matt/.emacs.d/loaddefs.el
Loading /Users/matt/.emacs.d/loaddefs.el (source)...done
Making completion list...